2017-12-11 12:18 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000232Cheat Enginepublic2013-03-21 03:25
Reportermgr_inz_Player 
Assigned ToDark Byte 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
Summary0000232: Standalone trainer not launching (probably standalone2 crash )
DescriptionI have CT file and I want to make standalone trainer.

But, trainer do not launch properly when maximum compression level is used. The only workaround I know is: "choose lower compression preset, like: 'default', 'fastest' or 'none'".



I've made three EXE files in row:

1) maximum compression, click generate, then I rename created file to something like: "gamename trainer max.exe"

2) then, I chose "default" compression, click generate, then I renamed created file to something like: "gamename trainer def.exe"

3) then, I chose "fastest" compression, click generate, then I renamed created file to something like: "gamename trainer fast.exe"



So, exact CT file was used, the same icons, everything is the same, except compression level. Trainers 2) and 3) are good.

The first one doesn't launch. I can see all files inside CETB7.tmp\extracted
There is CET_TRAINER.CETRAINER and other needed files.


This glitch occurs with original CE6.2 and newest 6.2+. Probably there is bug inside standalone2 (sfx/level2) or maybe zstream library. I think standloane2 crash just before main loop (while loop) end.



I will try this under Lazarus debugger when I'll find some time.
Additional InformationHard to reproduce. It occurs sporadically.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000486

mgr_inz_Player (reporter)

I forgot to mention:
after double clicking EXE file, only two processes shows up (sfx1 and sfx2).
Of course both disappear immediately. Without any error.

~0000487

mgr_inz_Player (reporter)

Last edited: 2013-03-19 22:30

OK, I've know what is going on. Lazarus threw this message:

#################################
standalonephase2.dat.exe raised exception class Edecompressonerror with message:
buffer error
#################################

And it stops at line 142:
outfile.free;


Code after line 142 isn't executed.

~0000488

mgr_inz_Player (reporter)

sometimes it is enough to simply add something to "LUA Script" or add something to "table comments", then maximum compression level works again.

~0000489

Dark Byte (developer)

can you upload the CET_Archive.dat from such a trainer ?

~0000490

Dark Byte (developer)

should be fixed in the svn now
+Notes

-Issue History
Date Modified Username Field Change
2013-03-19 22:14 mgr_inz_Player New Issue
2013-03-19 22:19 mgr_inz_Player Note Added: 0000486
2013-03-19 22:28 mgr_inz_Player Note Added: 0000487
2013-03-19 22:30 mgr_inz_Player Note Edited: 0000487
2013-03-19 23:07 mgr_inz_Player Note Added: 0000488
2013-03-21 01:40 Dark Byte Status new => acknowledged
2013-03-21 01:47 Dark Byte Note Added: 0000489
2013-03-21 03:25 Dark Byte Note Added: 0000490
2013-03-21 03:25 Dark Byte Status acknowledged => resolved
2013-03-21 03:25 Dark Byte Resolution open => fixed
2013-03-21 03:25 Dark Byte Assigned To => Dark Byte
+Issue History